Subject: Re: bug#77138: [PATCH] Add major mode for highlighting .npmrc files

From: Konstantin Kharlamov <[email-masked]>
Date: Sat, 22 Mar 2025 22:23:53 +0300

On Sat, 2025-03-22 at 22:21 +0300, Konstantin Kharlamov wrote:
> On Sat, 2025-03-22 at 21:19 +0200, Eli Zaretskii wrote:
> > > From: Konstantin Kharlamov <[email-masked]>
> > > Cc: [email-masked], [email-masked]
> > > Date: Sat, 22 Mar 2025 20:36:42 +0300
> > > 
> > > On Sat, 2025-03-22 at 17:41 +0200, Eli Zaretskii wrote:
> > > > > From: Konstantin Kharlamov <[email-masked]>
> > > > > Cc: [email-masked]
> > > > > Date: Sat, 22 Mar 2025 17:29:09 +0300
> > > > > 
> > > > > On Sat, 2025-03-22 at 14:26 +0000, Stefan Kangas wrote:
> > > > > > Konstantin Kharlamov <[email-masked]> writes:
> > > > > > 
> > > > > > >  * New Modes and Packages in Emacs 31.1
> > > > > > > 
> > > > > > > +** New major modes that don't depend on the tree-sitter
> > > > > > > library
> > > > > > 
> > > > > > Do we really need this explicit headline?
> > > > > 
> > > > > I don't have a preference, but I see that just a few lines
> > > > > below
> > > > > there'
> > > > > s a headline about "tree-sitter based new modes", so if we
> > > > > don't
> > > > > add
> > > > > the new headline it might look off.
> > > > 
> > > > We mention that a mode is based on tree-sitter because those
> > > > modes
> > > > will not be available in Emacs built without tree-sitter.
> > > 
> > > Yeah, I understand.
> > > 
> > > So, do you want me to change anything here?
> > 
> > I think the "that don't depend on the tree-sitter library" part is
> > better removed.
> 
> Okay, done, patch is attached 😊

…I haven't reduced the heading there to `***` though.  I am not
completely sure if it's needed or not. Because again, the "newly added
modes" below all have heading `***`…